=== debian/changelog ===
multipath-tools (0.5.0+git1.656f8865-5ubuntu2) xenial; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Remove partition device nodes of individual paths (for LVM on multipath)
    on the new multipath-tools with udev property blacklisting (LP: #1540401)
    - debian/multipath-tools.dm-mpath-lvm.udev: replace 'multipath -c' with
      'multipath -u' which can read udev properties at PROGRAM-rule time
      (when udev properties are not yet written to the udev database).
    - debian/initramfs/init-top: start multipathd before udev (required by
      'multipath -u' in the udev rules)
    - debian/initramfs/local-top: remove snippet to start multipathd.
  * Remove debian/initramfs/local-top (redundant with other initramfs scripts):
    - init-top: start multipathd.
    - init-top: load modules (dm-multipath and SCSI device handlers); move the
      missing dm-emc there (now scsi-dh-emc; see BTS 567014).
    - local-premount: settle on udev events; and the extra call due to
      multipath discovery in udev rules is no longer required with multipathd
      in initramfs.
    - debian/rules: do not install local-top anymore.
  * debian/initramfs/local-premount: run multipath with -B so not to assign
    names nor change /etc/multipath/bindings during initramfs (LP: #1561103)
  * debian/patches/enable-find-multipaths.patch: re-enable find_multipaths
    by default -- see the removed 'add_find-multipaths.patch' (LP: #1463046) 

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 04 Apr 2016 22:36:48 -0400

multipath-tools (0.5.0+git1.656f8865-5ubuntu1) xenial; urgency=medium

  * Merge from Debian. (LP: #1551952) (LP: #1540407)
    Remaining changes:
    - debian/control:
      - Bump debhelper dependency to install udev rules to
        /lib/udev/rules.d
      - Bump udev dependencies as well
    - debian/control:
      - multipath-tools: add sg3-utils-dev Depends
      - multipath-udeb: add sg3-udeb Depends
    - debian/initramfs/hooks: use 95 not 60 for multipath rules priority
    - debian/rules: Move udev rules to priority 95, because rules that load modules should be >90.
    - debian/multipath-tools.preinst: modprobe dm-multipath.
      This will make sure that multipathd will be able to start.
    - debian/initramfs/local-top: wait for udev to settle before running
      'multipath' in order to avoid race condition on device-mapper calls.
    - debian/initramfs/local-top: remove '--timeout 10' which causes my
      test system to not boot roughly 3 out of 4 times.
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP: #941874)
      - debian/initramfs/kpartx.hook
      - debian/kpartx-boot.postinst
      - debian/kpartx-boot.postrm
      - debian/kpartx.install
      - debian/control: Add kpartx-boot package for dmraid
      - debian/rules: Install kpartx initramfs hook
    - debian/patches/1000--set-umask-in-multipathd.patch: Set umask in multipathd.
    - debian/patches/handle_spaces_in_rev_attr.patch: support IBM IPR devices
      and others which may have only spaces for the rev attribute.
    - debian/patches/path_selector.patch: switch the default path selector
      back to round-robin while service-time isn't available to the installer
      multipath-modules.
    - debian/patches/0015-shared-lock-for-udev.patch: (LP: #1431650)
    - debian/initramfs/hooks: also copy wwids file on the installed system to
      ensure all paths come up on boot. (LP: #1479929)
    - Disable -fexceptions on multipath-udeb (LP: #1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - debian/patches/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - debian/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
    - debian/patches/handle_spaces_in_rev_attr.patch: update patch to apply the
      change to the right line (LP: #1492425)
    - debian/initramfs/local-premount: wait for udev to settle before the call
      to resolve_device() in local_mount_root(), so the by-uuid/ symlinks have
      a chance to be updated by the multipath udev rules (LP: #1503286).
    - debian/multipath-tools.postinst: handle upgrades from < 0.5.0 by migrating
      from the old device names with device numbers to using letters for devices.
    - debian/patches/mpath_name_migration.patch: ship a multipath_migrate binary
      to make translation from pre-0.5.0 device naming to the new scheme.
    - debian/initramfs/hooks: install multipathd and required directories.
    - debian/initramfs/local-premount: reload all maps to make sure they're
      indeed loaded and ready before we end premount.
    - debian/initramfs/local-top: run multipathd rather than a one-off call to
      multipath so that new paths can be correctly added as detected while we're
      still in the initramfs.
    - debian/initramfs/local-bottom: remember to stop multipathd.
    - debian/rules: install debian/initramfs/local-bottom
    - debian/patches/0053-readonly-bindings_multipathd_prod.patch: support -B to
      allow multipathd to handle cases where the bindings file is read-only.
      (LP: #1526984)
    - debian/patches/git-kpartx-support-spaces-in-dev-names-b407050a.patch: deal
      with spaces in device names in kpartx too (LP: #1432062)
    - debian/tests/kpartx-file-loopback: add an autopkgtest to catch future cases
      where uploads might break kpartx's loopback file handling.
    - debian/patches/kpartx_more_loopback_fixes.patch: fix loopback mounted
      files some more: since we stat() the loopback device node, we can't rely
      on S_ISREG() tests to handle this case, and should look at the device
      itself instead. (LP: #1543430)
    - Remove partition device nodes of individual paths (for LVM on multipath)
      (LP: #1540401)
      - debian/multipath-tools.dm-mpath-lvm.udev: udev rule for that.

