=== debian/control ===
Source: multipath-tools
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 7.0.17ubuntu2), po-debconf, libdevmapper-dev (>= 2:1.02.20), libreadline-dev, libaio-dev, libsystemd-dev, systemd, dh-systemd
Vcs-Git: git://anonscm.debian.org/pkg-lvm/multipath-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lvm/multipath-tools.git
Standards-Version: 3.9.6
Homepage: http://christophe.varoqui.free.fr/

Package: multipath-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>> 136-1), kpartx (>= ${binary:Version}), lsb-base (>= 3), libaio1 (>= 0.3.106-8), sg3-utils-udev
Breaks: multipath-tools-initramfs (<= 1.0.1),
 multipath-tools-boot (<= 0.4.8+git0.761c66f-2~)
Suggests: multipath-tools-boot
Description: maintain multipath block device access
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.
 .
 If you install this package you may have to change the way you address block
 devices. See README.Debian for details.

Package: multipath-tools-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, multipath-tools (= ${binary:Version}), kpartx (= ${binary:Version})
Description: maintain multipath block device access - debugging symbols
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.
 .
 If you install this package you may have to change the way you address block
 devices. See README.Debian for details.
 .
 This package includes the debugging symbols

Package: kpartx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>> 136-1), dmsetup (>= 2:1.02.24)
Replaces: multipath-tools (<< 0.4.7-3)
Description: create device mappings for partitions
 Kpartx can be used to set up device mappings for the partitions of any
 partitioned block device. It is part of the Linux multipath-tools.

Package: kpartx-boot
Architecture: all
Depends: ${misc:Depends}, initramfs-tools,
 kpartx (>= ${source:Version}), kpartx (<< ${source:Version}.1~)
Description: Provides kpartx during boot
 This package makes kpartx availible during boot to activate partitions

Package: multipath-tools-boot
Architecture: all
Depends: ${misc:Depends}, initramfs-tools, 
 multipath-tools (>= ${source:Version}), multipath-tools (<< ${source:Version}.1~),
 kpartx-boot (= ${binary:Version})
Replaces: multipath-tools-initramfs (<< 1.0.1+nmu1)
Breaks: multipath-tools-initramfs (<< 1.0.1+nmu1)
Description: Support booting from multipath devices
 This package contains the necessary support for booting from a multipath
 device:
 .
  * copy over multipath.conf and persistent bindings if necessary
  * load the necessary kernel modules
  * detect multipath block devices
 .
 Don't install this package if you're not booting from a multipath device.

Package: multipath-udeb
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, multipath-modules, kpartx-udeb, sg3-udeb
Section: debian-installer
Description: maintain multipath block device access - udeb package
 This is a udeb, or a microdeb, for the debian-installer.
 .
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.

Package: kpartx-udeb
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: debian-installer
Description: create device mappings for partitions - udeb package
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Kpartx can be used to set up device mappings for the partitions of any
 partitioned block device. It is part of the Linux multipath-tools.
