=== debian/tests/control ===

Tests: kpartx-file-loopback
Depends: kpartx, qemu-utils, gdisk
Restrictions: needs-root
