## multipath-tools 0.6.4

=== debian/changelog ===
multipath-tools (0.6.4-5+deb9u1) stretch; urgency=medium

  [ Chris Hofstaedtler ]
  * Apply patch to avoid deadlock in udev triggers, based on upstream
    10704bae99cdcc809aaba0546017cb2eb416c551, with adaptions from
    Alban Browaeys <prahal@yahoo.com> for 0.6.
    (Closes: #859157)
  * Add myself to Uploaders:.

  [ Ritesh Raj Sarraf ]
  * Use tracker as maintainer email address
  * Switch packaging repository to Salsa (Closes: #899615)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 23 Jul 2018 06:16:34 +0000

multipath-tools (0.6.4-5) unstable; urgency=medium

  * Ship multipath udev rules (Closes: #858456)
  * Define some priority for rules processing

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 25 Mar 2017 15:03:08 +0530

multipath-tools (0.6.4-4) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * [65ba796] Fix path for udevadm, which now resides in /bin.
    Thanks to Michael Biebl (Closes: #852586)
  * [5291947] Drop non-existent dm-emc module and include
    dm-round-robin, in initramfs.
    Thanks to Allan Jacobsen (Closes: #855585)

  [ Christian Ehrhardt ]
  * [6159c78] debian/control: Bump to an updated udev dependency
  * [8649315] debian/tests/kpartx-file-loopback: test kpartx
  * [137dcc1] add Test using tgt and open-iscsi

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 20 Feb 2017 19:36:31 +0530

multipath-tools (0.6.4-3) unstable; urgency=medium

  * [3eecdba] Include libmpathcmd.so in the udeb package.
    Thanks to Allan Jacobsen (Closes: #852431)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 25 Jan 2017 14:58:53 +0530

multipath-tools (0.6.4-2) unstable; urgency=medium

  * [98a45ae] Add a break against multipath-tools, which now doesn't
    provide the file. Thanks to Andreas Beckmann (Closes: #850772)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 23 Jan 2017 13:31:59 +0530

multipath-tools (0.6.4-1) unstable; urgency=medium

  * [bb9b6bf] New upstream version 0.6.4
  * [40f9200] Add patch to cross build from source.
    Thanks to Helmut Grohne (Closes: #845746)
  * [35c91d3] Refresh patches
  * [fbe794c] Add lsb-base to Depends for multipath-tools-boot

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 09 Dec 2016 15:30:50 +0530

multipath-tools (0.6.3-2) unstable; urgency=medium

  * [6915af9] Add patch to disable linking to librados in udeb
    (Closes: #840157)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 09 Oct 2016 14:39:08 +0530

multipath-tools (0.6.3-1) unstable; urgency=medium

  * [e562899] Update debian/gbp.conf for upstream tag
  * [06f6fed] New upstream version 0.6.3
  * [c064fd4] Refresh some patches
  * [91d2497] Add librados-dev to build depends
  * [fe064a4] Update Vcs url to cgit
  * [03f2435] Add full versioned dependency on lsb-base. Thanks lintian

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 08 Oct 2016 23:46:04 +0530

multipath-tools (0.6.2-2) unstable; urgency=medium

  * Upload to Unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 04 Aug 2016 17:34:29 +0530

multipath-tools (0.6.2-1) experimental; urgency=medium

  * [c1c5c8c] Fix manpage about updated kpartx output.
    Thanks to Joey Hess (Closes: #796948)
  * [622958b] Document behavior of aio-max-nr.
    Thanks to Andrew Patterson (Closes: #827322)
  * [91ae9e0] Switch back to using pristine-tar
  * [0403d08] Imported Upstream version 0.6.2
    (Closes: #829496, #830882, #831985)
  * [2022378] Refresh patches and drop patches that are merged upstream
  * [9bf63b9] Add liburcu-dev to build dependency
  * [8e2db83] Update library install list
  * [6adda96] Drop FAQ. Removed Upstream
  * [10936fc] Bump Standards Version to 3.9.8

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 23 Jul 2016 14:15:18 +0530

multipath-tools (0.6.1-3) unstable; urgency=medium

  * Upload to Unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 10 Jun 2016 13:10:18 +0530

multipath-tools (0.6.1-2) experimental; urgency=medium

  * [f59f6c1] Bump debhelper version to 9
  * [7b3bc71] Drop -dbg package in favor of automatic dbgsym packages
  * [c761232] Add patch to fix build failures with unit values on
    some architectures

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 01 Jun 2016 17:07:27 +0530

multipath-tools (0.6.1-1) experimental; urgency=medium

  * New upstream release
  * [80ec942] Refresh patches. And drop disable-blk-availability.patch
    Fixed upstream

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 31 May 2016 17:15:04 +0530

multipath-tools (0.5.0+git1.656f8865-9) unstable; urgency=medium

  * [41dd269] Add remove condition in prerm script.
    Thanks to Andreas Beckmann (Closes: #820031)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 05 Apr 2016 21:51:14 +0530

multipath-tools (0.5.0+git1.656f8865-8) unstable; urgency=medium

  * [ff52e14] Cleanup the breakage introduced in -6 build
    (Closes: #818036, #818293)
  * [2861458] Fix Vcs-Git URL

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 16 Mar 2016 14:58:20 +0530

multipath-tools (0.5.0+git1.656f8865-7) unstable; urgency=medium

  * [72c07f4] Fix kpartx depending of non-existent service.
    Thanks to Michael Biebl (Closes: 818036)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 15 Mar 2016 13:35:08 +0530

multipath-tools (0.5.0+git1.656f8865-6) unstable; urgency=medium

  * [c791eeb] Restrict architecture to linux-any because
    multipath-tools is a Linux only tool
  * [a7baa90] Build binary independent deb package in respective target.
    Thanks to Santiago Vila (Closes: #806082)
  * [1d35c3c] Fix insecure URIs
  * [bfc44fb] Install -boot init script in correct package
  * [76cd8dc] Separate m-t-b's lintian overrides
  * [715ff28] Add separate lintian overrides for m-t-b
  * [7d81d4f] Call clean target before rebuilding with systemd support.
    Thanks to Ryan Harper (Closes: #817940)
  * [5156f96] Make build cleaner for reproducible builds.
    Thanks to Santiago Vila
  * Also close other bugs fixed by this release
    (Closes: #814625, #817147)
  * [9922d0a] Hand install multipath-tools-boot lintian override file

